Page MenuHomePhabricator

Allow adding and removing rows in dialog for editing JSON tabular data
Closed, ResolvedPublic

Description

T251759 allows editing of tabular data, but no structural changes. We should also allow the adding and removing of data rows.

This should involve a config change to the TableWidget and handling in JsonEditDialog.

Event Timeline

Change 598063 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/JsonConfig@master] Allow adding and removing rows via the JSON tabular data edit dialog

https://gerrit.wikimedia.org/r/598063

Tchanders closed this task as Resolved.Jun 1 2020, 5:39 PM
Tchanders reopened this task as Open.Jun 2 2020, 12:07 PM

Reopening - I mistakenly thought this was merged.

Change 598063 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Allow adding and removing rows via the JSON tabular data edit dialog

https://gerrit.wikimedia.org/r/598063

Tchanders closed this task as Resolved.Jun 8 2020, 4:46 PM